Skip to main content
GET
Get Issue Details

Authorizations

X-API-Token
string
header
required

API key for authentication

Path Parameters

shortcode
string
required

Project shortcode identifier

ref
string
required

Issue/finding reference identifier

Response

Successful response with issue details

ref
string
Example:

"1"

title
string
Example:

"Cross-Site Scripting (XSS) Vulnerability"

shortcode
string
Example:

"DVPT-ABC-EXAMPLE-1"

fromProject
string
Example:

"Example Project Penetration Test"

dateReported
string
Example:

"29 Jan 2025"

dateUpdated
string
Example:

"Jul 21 05:00 PM"

severity
enum<string>
Available options:
critical,
high,
medium,
low,
informational
Example:

"critical"

severityNum
integer

Numeric severity (1=informational, 2=low, 3=medium, 4=high, 5=critical)

Required range: 1 <= x <= 5
Example:

5

creator
object
reviewer
string
Example:

"John Doe (john-doe)"

status
object
commentCount
integer
Required range: x >= 0
Example:

3

content
string

Markdown content describing the issue details including Description, Impact, Affected Assets, Remediation, and Testing Process

Example:

"###### Description\n\nA detailed description of the vulnerability...\n\n###### Impact\n\nThe business impact..."

cvssVector
string
Example:

"N/A"

cvssScore
string
Example:

"N/A"

activity
object[]

Activity history including comments and status changes